
% WHAT IF...? OUTPUT LAYER

% FIG 5 Panel F

opengl software
figure;

loops = 50;
n = 0;
% mus = [];
% sigs = [];
cvs_raw = [];
cvs_integ = [];
cvs_AA = [];
cvs_BB = [];

while n <= loops

    i=1;
    el5s=[]; integ_el5s=[];
    
    while i<51
        j=1;
        summed=zeros([1 200]);
        while j<41
            PC=array();
            summed=(summed+PC);
            j=j+1;
        end
        el5=summed([5]);
        el5s=[el5s el5]; %This builds into an array that is plotted as a 
        %histogram and also sampled for the third plot
        
        integ=integrate_all_intervals(summed);
        integ_el5=integ([5]);
        integ_el5s=[integ_el5s integ_el5]; %See previous comment
        
        i=i+1;
    end
    
    mu_el5s = mean(el5s);
    sig_el5s = std(el5s);
%     mus = [mus mu_el5s];
%     sigs = [sigs sig_el5s];
    mu_integ_el5s = mean(integ_el5s);
    sig_integ_el5s = std(integ_el5s);

    cv_raw = sig_el5s/mu_el5s;
    cvs_raw = [cvs_raw cv_raw];
    cv_integ = sig_integ_el5s/mu_integ_el5s;
    cvs_integ = [cvs_integ cv_integ];

    i=1;
    AA=[]; BB=[];

    while i<51
        A=randsample(el5s,5); %Randomly samples el5s, sample size 5
        AA=[AA; A]; %Builds into a 50x5 matrix of random samples of el5s, each
        %representing a nuclear cell
        B=randsample(integ_el5s,5); 
        BB=[BB; B]; 
        i=i+1;
    end

    AA=mean(AA,2)'; %Averages each row of the matrix AA and flips to an array of
    %50 elements, representing the sample mean for each of 50 nuclear cells
    BB=mean(BB,2)'; %Same idea but with integrated data

% %     AAA=[AAA; AA];%Builds into a matrix of nx50 sample means, representing n
% %     %examples of AA - AAA and BBB were originally used in an extra panel
% %     %(the commented code at the end of this file) which was not included in
% %     %the final figure. Both they, and the outer loop used to generate them,
% %     %are therefore redundant.
% %     BBB=[BBB; BB];

    mu_AA = mean(AA);
    sig_AA = std(AA);
    mu_BB = mean(BB);
    sig_BB = std(BB);

    cv_AA = sig_AA/mu_AA;
    cvs_AA = [cvs_AA cv_AA];
    cv_BB = sig_BB/mu_BB;
    cvs_BB = [cvs_BB cv_BB];

    n = n + 1

end

subplot(2,4,4)
x = 0:loops;

plot(x,cvs_raw,'o','MarkerSize',2,'color',[.9 .65 .65],'MarkerFaceColor',[.9 .65 .65])
% plot(x,cvs_raw,'color',[.9 .65 .65])

title('mono: red; di: blue'); ylabel('CV'); xlabel('rpts')
ylim([0 .5]); yticks([0 .1 .2 .3 .4 .5]); yticklabels([0 .1 .2 .3 .4 .5])
xlim([0 50]); xticks([0 10 20 30 40 50]); xticklabels([0 10 20 30 40 50])
set(gca,'FontSize',10)
hold on
plot(x,cvs_integ,'o','MarkerSize',2,'color',[.65 .65 .9],'MarkerFaceColor',[.65 .65 .9])
%plot(x,cvs_AA,'o','MarkerSize',2.5,'color',[.65 .65 .9],'MarkerFaceColor',[.65 .65 .9])
plot(x,cvs_AA,'color',[.9 .65 .65],'LineWidth',1.3)
plot(x,cvs_BB,'Color',[.65 .65 .9],'LineWidth',1.3)
